export SUDO_COMMAND="sudo"
export PREFIX_COMMAND=""

#-----------------------------------------------------   

function SET_COMMAND_PREFIX() {
#-----------------------------------------------------
#
# change le prefixe de la commande
#-----------------------------------------------------
    export PREFIX_COMMAND="$@"

}
#-----------------------------------------------------   

function COMMAND() {
#-----------------------------------------------------
#
# executer une commande
#-----------------------------------------------------

    if [ -z "$EXIT_STATUS" ]
    then
        MESSAGE "EXEC $@"
        $PREFIX_COMMAND $@
    else
        MESSAGE "SKIP $@"
    fi
}
#-----------------------------------------------------   

function NO_SUDO() {
#-----------------------------------------------------
#
# executer une commande
#-----------------------------------------------------

    export SUDO_COMMAND=""
}
#-----------------------------------------------------   

function SUDO() {
#-----------------------------------------------------
#
# executer une commande
#-----------------------------------------------------

    COMMAND "$SUDO_COMMAND $@"
}
#-----------------------------------------------------

function ROOT_SUDO() {
#-----------------------------------------------------

    COMMAND "sudo -H $@"

}
#-----------------------------------------------------
function WORKUSER() {

#-----------------------------------------------------

    ROOT_SUDO "su - $@"

}
#-----------------------------------------------------

function WORKDIR() {

#-----------------------------------------------------

    RUN "mkdir -p $1"
    export PWD="$1"

}
#-----------------------------------------------------
function START() {
#-----------------------------------------------------

    TITLE "start program"
    unset "EXIT_STATUS"

}
#-----------------------------------------------------

function EXIT() {
#-----------------------------------------------------
#
# fin normale du programme
#-----------------------------------------------------


    TITLE "normal exit"
    MESSAGE "$EXIT_STATUS"

}
#-----------------------------------------------------

function ERROR() {
#-----------------------------------------------------
#
# afficher une erreur et quitter
#-----------------------------------------------------

    GLOBAL "EXIT_STATUS" "$1"
    shift 1
    GLOBAL "EXIT_MESSAGE" "$@"
    SEPARATOR "#"
    MESSAGE "                                ERROR $EXIT_STATUS"
    MESSAGE "                                $@"
    SEPARATOR "#"
    exit 1

}
#-----------------------------------------------------


